Excitation: Get loudness

A query to ask the selected Excitation object for its loudness.

## Return value

the loudness in sone units.

## Algorithm

The loudness is defined as

∫df 2(e(f) - 40 phon) / 10

where f is the frequency in Bark, and e(f) the excitation in phon. For our discrete Excitation object, the loudness is computed as

Δf ∑ 2(ei - 40) / 10

where Δf is the distance between the excitation channels (in Bark).

### Links to this page

- Sound: Get intensity (dB)